> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# म्यूट

> उपयोगकर्ताओं को म्यूट और अनम्यूट करें, और म्यूट किए गए उपयोगकर्ताओं की सूचियाँ प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Mutes endpoints आपको उपयोगकर्ताओं को म्यूट और अनम्यूट करने, और प्रमाणित उपयोगकर्ता द्वारा म्यूट किए गए उपयोगकर्ताओं की सूची प्राप्त करने की सुविधा देते हैं.

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="म्यूट" icon="volume-xmark">
    किसी उपयोगकर्ता को म्यूट करें
  </Card>

  <Card title="अनम्यूट" icon="volume-high">
    किसी उपयोगकर्ता का अनम्यूट करें
  </Card>

  <Card title="म्यूट किए गए उपयोगकर्ता" icon="list">
    म्यूट किए गए उपयोगकर्ताओं की अपनी सूची प्राप्त करें
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

| Method | Endpoint                                                                         | Description                                    |
| :----- | :------------------------------------------------------------------------------- | :--------------------------------------------- |
| GET    | [`/2/users/:id/muting`](/hi/x-api/users/get-muting)                              | म्यूट किए गए उपयोगकर्ताओं की सूची प्राप्त करें |
| POST   | [`/2/users/:id/muting`](/hi/x-api/users/mute-user)                               | किसी उपयोगकर्ता को म्यूट करें                  |
| DELETE | [`/2/users/:source_user_id/muting/:target_user_id`](/hi/x-api/users/unmute-user) | किसी उपयोगकर्ता का अनम्यूट करें                |

***

<div id="example-get-muted-users">
  ## उदाहरण: म्यूट किए गए उपयोगकर्ताओं को प्राप्त करना
</div>

```bash theme={null}
curl "https://api.x.com/2/users/123456789/muting?\
user.fields=username,description" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-mute-a-user">
  ## उदाहरण: किसी उपयोगकर्ता को म्यूट करना
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/muting" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "9876543210"}'
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project and App](/hi/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/hi/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) के ज़रिए User Access Tokens
</Note>

<CardGroup cols={2}>
  <Card title="म्यूट किए गए उपयोगकर्ताओं की खोज: त्वरित शुरुआत" icon="list" href="/hi/x-api/users/mutes/quickstart/mutes-lookup">
    अपने म्यूट किए गए उपयोगकर्ताओं को देखें
  </Card>

  <Card title="म्यूट प्रबंधित करना: त्वरित शुरुआत" icon="volume-xmark" href="/hi/x-api/users/mutes/quickstart/manage-mutes-quickstart">
    उपयोगकर्ताओं को म्यूट और अनम्यूट करें
  </Card>

  <Card title="इंटीग्रेशन गाइड" icon="book" href="/hi/x-api/users/mutes/integrate">
    मुख्य अवधारणाएँ और सर्वोत्तम प्रक्रियाएँ
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/users/mutes-lookup">
    एंडपॉइंट का पूरा दस्तावेज़ीकरण
  </Card>
</CardGroup>
